package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.ElecGwPriceConfig;

import java.util.List;

/**
 * 电价配置Mapper接口
 *
 * @author ruoyi
 * @date 2024-07-23
 */
public interface ElecGwPriceConfigMapper {
    /**
     * 查询电价配置
     *
     * @param id 电价配置主键
     * @return 电价配置
     */
    ElecGwPriceConfig selectElecPriceConfigById(Long id);

    /**
     * 查询电价配置列表
     *
     * @param elecPriceConfig 电价配置
     * @return 电价配置集合
     */
    List<ElecGwPriceConfig> selectElecPriceConfigList(ElecGwPriceConfig elecPriceConfig);

    /**
     * 新增电价配置
     *
     * @param elecPriceConfig 电价配置
     * @return 结果
     */
    int insertElecPriceConfig(ElecGwPriceConfig elecPriceConfig);

    /**
     * 修改电价配置
     *
     * @param elecPriceConfig 电价配置
     * @return 结果
     */
    int updateElecPriceConfig(ElecGwPriceConfig elecPriceConfig);

    /**
     * 删除电价配置
     *
     * @param id 电价配置主键
     * @return 结果
     */
    int deleteElecPriceConfigById(Long id);

    /**
     * 批量删除电价配置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteElecPriceConfigByIds(Long[] ids);
}
